Page MenuHomePhabricator

In the new media dialog, clicking on the last result before more results have time to be fetched from the API causes the result list to be filled with empty rows
Closed, ResolvedPublic1 Estimated Story Points

Description

Reproduce --

  1. Insert a new image in the new media dialog
  2. Scroll down very quickly and click the last result before other results have time to populate
  3. Go back from the information screen to the results screen
  4. Observe -- there is a gap between the latest result clicked and the next set of results, filled with empty row divs.

This might be more pronounced for users with slow connections.

Event Timeline

Mooeypoo created this task.Jan 14 2015, 7:16 PM
Mooeypoo claimed this task.
Mooeypoo raised the priority of this task from to Medium.
Mooeypoo updated the task description. (Show Details)
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2015, 7:16 PM
gerritbot added a subscriber: gerritbot.

Change 185453 had a related patch set uploaded (by Mooeypoo):
Use z-index instead of show/hide in the panels in media dialog

https://gerrit.wikimedia.org/r/185453

Patch-For-Review

Jdforrester-WMF moved this task from Freezer to Blocked on the VisualEditor board.Jan 16 2015, 5:19 PM

Change 185453 merged by jenkins-bot:
Add a layout queue to media result widget

https://gerrit.wikimedia.org/r/185453

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 29 2015, 6:58 PM
Jdforrester-WMF closed this task as Resolved.Feb 2 2015, 3:15 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.Mar 9 2015, 6:08 PM